curl --request PUT \
--url https://app.miget.com/api/v1/stacks/{uuid}/deployment \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "<string>",
"auto_deploy_enabled": true,
"repository": "<string>"
}
'import requests
url = "https://app.miget.com/api/v1/stacks/{uuid}/deployment"
payload = {
"branch": "<string>",
"auto_deploy_enabled": True,
"repository": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch: '<string>', auto_deploy_enabled: true, repository: '<string>'})
};
fetch('https://app.miget.com/api/v1/stacks/{uuid}/deployment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"name": "<string>",
"label": "<string>",
"state": "<string>",
"project_id": "<string>",
"compose_path": "<string>",
"deployment_config": {},
"total_cpu_size": 123,
"total_ram_size": 123,
"total_disk_size": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"miget": {
"uuid": "<string>",
"name": "<string>",
"state": "<string>",
"labels": [
"<string>"
],
"total_disk_size": 123,
"total_ram_size": 123,
"total_cpu_size": 123,
"total_used_disk_size": 123,
"total_used_ram_size": 123,
"total_used_cpu_size": 123,
"available_cpu_size": 123,
"available_disk_size": 123,
"available_ram_size": 123,
"assigned": true,
"project_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"plan": {
"name": "<string>",
"code_name": "<string>",
"description": "<string>",
"plan_type": "<string>",
"ram_size": 123,
"disk_size": 123,
"cpu_size": 123,
"unit_price": 123
},
"components": [
{
"name": "<string>",
"code_name": "<string>",
"unit_price": 123
}
]
},
"services": [
{
"compose_service_name": "<string>",
"compose_service_type": "<string>",
"status": "<string>",
"item_type": "<string>",
"item_uuid": "<string>",
"item_name": "<string>"
}
],
"latest_deployment": {
"uuid": "<string>",
"state": "<string>",
"subevent": "<string>",
"commit_sha": "<string>",
"validation_errors": {},
"published_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}Update stack deployment configuration
Updates the GitHub deployment configuration of a stack: tracked branch, auto-deploy, the stored Git credential, and the repository.
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Stack UUID
Body
Response
Update stack deployment configuration
Api_V1_Entities_Stack model
Unique stack identifier
Stack codename (unique per workspace)
Human-readable display name
Computed state (pending, validating, publishing, building, deploying, running, degraded, failed, stopped)
Associated project UUID
Path to the docker-compose file within the repository
Git deployment configuration (type, repository, branch, auto_deploy_enabled)
Total CPU allocated across stack services (cores)
Total RAM allocated across stack services, in bytes
Total disk allocated across stack services, in bytes
Creation timestamp
Last update timestamp
Api_V1_Entities_Resource model
Show child attributes
Show child attributes
Services materialized from the compose manifest
Show child attributes
Show child attributes
Api_V1_Entities_StackDeployment model
Show child attributes
Show child attributes

